from sqlalchemy import Integer, String, BigInteger, Column, DateTime
from config.database import Base


class RobotAction(Base):
    """
    机器人动作表
    """

    __tablename__ = 'robot_action'

    id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='主键 自增')
    name = Column(String(50), nullable=True, comment='动作名')
    description = Column(String(50), nullable=True, comment='描述')
    interval_min = Column(Integer, nullable=True, comment='最小时间间隔 单位s')
    interval_max = Column(Integer, nullable=True, comment='最大时间间隔 单位s')
    status = Column(String(2), nullable=True, comment='动作状态 0 未启用, 1已启用')
    update_time = Column(DateTime, nullable=True, comment='修改时间')



